package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.TdPropertyNetinfoMapper;
import com.ruoyi.system.domain.TdPropertyNetinfo;
import com.ruoyi.system.service.ITdPropertyNetinfoService;
import com.ruoyi.common.core.text.Convert;

/**
 * 涉密网络登记Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-05-09
 */
@Service
public class TdPropertyNetinfoServiceImpl implements ITdPropertyNetinfoService 
{
    @Autowired
    private TdPropertyNetinfoMapper tdPropertyNetinfoMapper;

    /**
     * 查询涉密网络登记
     * 
     * @param id 涉密网络登记主键
     * @return 涉密网络登记
     */
    @Override
    public TdPropertyNetinfo selectTdPropertyNetinfoById(String id)
    {
        return tdPropertyNetinfoMapper.selectTdPropertyNetinfoById(id);
    }

    @Override
    public List<TdPropertyNetinfo> selectTdPropertyNetinfoByNetId(String id) {
        return tdPropertyNetinfoMapper.selectTdPropertyNetinfoByNetId(id);
    }

    /**
     * 查询涉密网络登记列表
     * 
     * @param tdPropertyNetinfo 涉密网络登记
     * @return 涉密网络登记
     */
    @Override
    public List<TdPropertyNetinfo> selectTdPropertyNetinfoList(TdPropertyNetinfo tdPropertyNetinfo)
    {
        return tdPropertyNetinfoMapper.selectTdPropertyNetinfoList(tdPropertyNetinfo);
    }

    /**
     * 新增涉密网络登记
     * 
     * @param tdPropertyNetinfo 涉密网络登记
     * @return 结果
     */
    @Override
    public int insertTdPropertyNetinfo(TdPropertyNetinfo tdPropertyNetinfo)
    {
        return tdPropertyNetinfoMapper.insertTdPropertyNetinfo(tdPropertyNetinfo);
    }

    /**
     * 修改涉密网络登记
     * 
     * @param tdPropertyNetinfo 涉密网络登记
     * @return 结果
     */
    @Override
    public int updateTdPropertyNetinfo(TdPropertyNetinfo tdPropertyNetinfo)
    {
        return tdPropertyNetinfoMapper.updateTdPropertyNetinfo(tdPropertyNetinfo);
    }

    /**
     * 批量删除涉密网络登记
     * 
     * @param ids 需要删除的涉密网络登记主键
     * @return 结果
     */
    @Override
    public int deleteTdPropertyNetinfoByIds(String ids)
    {
        return tdPropertyNetinfoMapper.deleteTdPropertyNetinfoByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除涉密网络登记信息
     * 
     * @param id 涉密网络登记主键
     * @return 结果
     */
    @Override
    public int deleteTdPropertyNetinfoById(String id)
    {
        return tdPropertyNetinfoMapper.deleteTdPropertyNetinfoById(id);
    }
}
